2.8. Options menu
Prev | 2. Menus | Next

### 2.8. Options menu

Preferences

  Displays the Preferences dialog box which allows to specify a large number of user preferences.

Reload All Configurations

  Reloads all configuration files found by XXE at startup time. This command is disabled if one or more documents are opened in the editor.

  Without this command, testing modifications made to an existing configuration requires you to restart the editor. Note that restarting the editor is still required to make it discover new configurations or to reload support code (i.e. `.jar` files).

  This menu item is available in all editions of XMLmind XML Editor, but it is hidden by default. You need to enable it by checking "Enable the Developer Tools" in Options → Preferences, Features section.

Install Add-ons

  Displays the Install Add-ons dialog box, which allows to download and install, upgrade and uninstall all sorts of add-ons. This dialog box is not available if XXE has been deployed using Java™ Web Start.

  ### Tip

  If you hold the Shift key and click on Options → Install Add-ons, you'll be able to automatically upgrade all the installed add-ons (of course, if any and if needed to).

  ### Note

  This menu item is absent when XMLmind XML Editor has been started using Java™ Web Start.

#### 2.8.1. "Quick Preferences" menu

Show Attribute List in Tree View

  Toggles the display of the attribute list in the tree view. When this option is turned off, the tree view just displays the number of attributes of an element.

  Default: checked.

  Preference key: `treeViewShowAttribute`; type: boolean; default: `true`.

Show Text Characters in Tree View

  Toggles the display of text node characters in the tree view. When this option is turned off, the tree view represents a text node as an icon.

  Default: checked.

  Preference key: `treeViewShowText`; type: boolean; default: `true`.

Show Comment Characters in Tree View

  Toggles the display of comment node characters in the tree view. When this option is turned off, the tree view represents a comment node as an icon.

  Default: checked.

  Preference key: `treeViewShowComment`; type: boolean; default: `true`.

Show PI Characters in Tree View

  Toggles the display of processing instruction node characters in the tree view. When this option is turned off, the tree view represents a processing instruction node as an icon.

  Default: checked.

  Preference key: `treeViewShowPI`; type: boolean; default: `true`.

Split Windows Vertically

  Clicking on the dashed line of a document tab (also called a document window) causes the window area to be split in two parts. This allows to see two documents side by side.

  If this option is turned on, the window area is split vertically. If this option is turned off (the default), the window area is split horizontally.

  Note that turning this option on and off has an immediate effect on the window area, if this area is already split in two parts.

  Default: not checked.

  Preference key: `verticalSplit`; type: boolean; default: `false`.

#### 2.8.2. "Customize Configuration" menu

This menu is present only in XMLmind XML Editor Professional Edition.

This menu allows end-users (i.e. non-experts) to customize the configuration associated to the document being edited.

End-user customization of configurations by the means of this menu also works when XMLmind XML Editor is deployed using Java™ Web Start.

The following menu items have an effect on a single configuration: the configuration of the document being edited. For example, if you specify DocBook XSL style sheet parameter `paper.type`=`USLetter` when you are editing a DocBook document, this will have no effect on the DocBook 5 and Simplified DocBook configurations, even if these configurations share their Convert Document menu with the DocBook configuration.

Using any of the following menu items has an immediate effect on all the opened documents associated to the customized configuration. That is, no need to restart XXE to benefit from the customization.

Save Document As Template

  Save the document being edited as a named template. This named template is then displayed in the File → New dialog box.

  This menu item is disabled (grayed) if the document being edited has been modified and thus, needs to be saved. Therefore you need to save the document being edited to disk prior to using this facility.

  Arbitrarily complex documents may be used as templates: a document may be modular, may reference graphics files, etc. This is needed for example to create a document template including the logo of a company.

  User-defined document templates are added and removed using the "Save Document As Template" dialog box.

Save Selected Element As Template

  Save the selected element as a named template. This named template may then be suggested by the Edit tool, depending on the operation to be performed and if this is allowed by the schema.

  This menu item is disabled (grayed) unless an element is explicitly selected.

  User-defined elements templates are added and removed using the "Save Selected Element As Template" dialog box.

Save Views As Default

  Save the current layout of views as the default one. Displays a simple confirmation dialog box.

  Example 1: you want the CSS style sheet called "Images displayed as thumbnails" to be used by default for all your DocBook documents.

  1. Open a DocBook document.

  2. Select CSS style sheet called "Images displayed as thumbnails" in the View menu.

  3. Use Options → Customize Configuration → Save Views As Default.

  4. Open another DocBook document (or use File → New to create a new one) to check that your customization has worked.

  Example 2: when you open a DocBook document, you want to see the styled view in the middle, the tree view at the left and the structure view (i.e. CSS style sheet called "Document Structure") at the bottom.

  1. Open a DocBook document.

  2. Use View → Add. Select "(no style sheet)" for the Left pane. Select "Document structure" for the Bottom pane.

  3. Use Options → Customize Configuration → Save Views As Default.

  4. Open another DocBook document (or use File → New to create a new one) to check that your customization has worked.

Add Keyboard Shortcut

  Add keyboard shortcuts. In other terms, bind up to two keystrokes (example: "`F2 u`" to a command (example: "`moveElement up[implicitElement]`").

  User-defined keyboard shortcuts are added and removed using the "Add Keyboard Shortcut" dialog box.

Change Document Conversion Parameters

  Change the XSL style sheet parameters (e.g. `paper.type`=`USLetter`) used when converting the document being edited to other formats (e.g. PDF, HTML, etc).

  User-defined XSL style sheet parameters are specified using the "Change Document Conversion Parameters" dialog box.

Prev | Up | Next
2.7. XML menu | Home | 2.9. Window menu